Thread Rating:
  • 1 Vote(s) - 5 Average
  • 1
  • 2
  • 3
  • 4
  • 5
!!! DarkFusion security issue
#1
Exclamation 
When I try to install DarkFusion template I get this error:
[Image: ?dm=PH9J]
Does anyone knows where the security issue is and how to fix it?

XML document of DarkFusion template can be found or downloaded here: http://pastebin.com/Cigjwmeh
Thanks, to whoever will be trying to help Smile

Edit: Same with some other templates like in example: blackevo4-nature.
Maybe theres a way to disable security warning and allow upload disregarding security? Or even better how to fix that "security vulnerability"?
Reply
#2
Make the modification,open xml file and search:
find:

Quote:{$monthnames[$prev_month['month']]}

replace with:

Quote:{$prev_month['month']}

find:

Quote:{$monthnames[$next_month['month']]}

replace with:

Quote:{$next_month['month']}

find:

Quote:{$monthnames[$week_from[1]]}

replace with:

Quote:{$monthnames[$week_from_one]}

find:

Quote:{$type_checked[$type['tid']]}

replace with:

Quote:{$checked}
Reply
#3
Thank you a ton!
Wouldn't it be good idea to make sticky topic with these things so everyone can fix their insecure templates?
P.S. How these small data changes could cause security vulnerability? Confused ..
Reply
#4
In recent versions, changes were made to the form variables and important topic since it has the old variables are considered vulnerabilities. (Info by Harald R)
Do not forget to give +1 rep! Big Grin
Reply
#5
Gave.
I want to ask you one thing if youre capable doing it, please do.
I would like to download redesigned kross theme from your forums, but Iam not romanian so registering is useless, since I wont bring anything to your community, could you be kind and post direct link to theme file.
Thanks.
Link: http://mybb.ro/t-teme-mybb--720.html
Reply
#6
No Off-Topic! Please close topic!
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)